Questions & Answers
iLife '11 [OLD VERSION]
by Apple
3.5 out of 5 stars (179)
$39.98
Add to cart
Please make sure that your post is a question about the product. Edit your question or post anyway.
Sort: Most Helpful first | Newest first
Showing 1-10 of 31 questions
0
votes
9.0 is on the disc. Once you install it from the disk, you'll want to immediately update it BEFORE launching iPhoto for the first time. There is a data loss bug in 9.0. The latest version is 9.4.2. Enjoy
Feb 5, 2013 by James D. Reffner
0
votes
I own iLife'04 and iLife'11 but not iLife'09. The promos and packaging of iLife'11 suggest the major improvements since iLife'09 are to iPhoto (v.9), iMovie (v.9), and GarageBand (v.6). Although iWeb and iDVD are are again included in the 5-app iLife'11 bundle, I don't think there's been much if any change to these apps since iLife'09. The version of iDVD that came with iLife'11 was v7.1 (so you can check against your current version). Personally, I needed iWeb v3 to solve v2 backwards compatibility problems.
Feb 10, 2013 by KEITH M.
0
votes
I don't know about not writing over iLife '09. However, when I installed the old version of iLife 11, the installation DID NOT write over my iLife 6. So your guess is as good as mine!!!
Nov 6, 2013 by R. Olbrysh
0
votes
Yes you can. But make sure you have a backup through Time Machine. The upload of iDVD may mess up iPhoto.
Oct 17, 2013 by Greg Ferrell
0
votes
I do know about Snow Leopard, it works with the latest ver of mountain lion
Jul 27, 2013 by Joey Crabtree
0
votes
Yes it does. I only chose to install iDVD as the newer Macs don't come with it. I kept the current version of iMovie and it works fine with the older version of iDVD.
Feb 4, 2013 by JR
0
votes
It worked just fine on my Mac OSX10 from 2011. I no longer have this machine so I do not remember the exact OSX designation. In any event, I would give this a try. The greatest probability is that it will work.
Dec 1, 2013 by Amazon Customer
0
votes
The Original&,everything up to present!(Really can't go Wrong!!).I have no regrets!. I hope this helps:)
Jun 11, 2013 by ElijahDan
0
votes
I am on Mavericks 10.9.4, it should install. You can also back up from your latest Time Machine.
23 days ago by T. Wong
‹ Previous   1   2   3   4   Next ›
 
Unanswered questions
Search Questions and Answers